Loading...
Searching...
No Matches
cxx_reference_element.cc File Reference

Go to the source code of this file.

## Functions

void | init_generic_0d (size_t E, size_t d, size_t nv, size_t ne, Float meas)
void | init_generic_1d (size_t E, size_t d, size_t nv, const point v[], size_t ne, Float meas)
void | init_generic_2d (size_t E, size_t d, size_t nv, const point v[], size_t ne, const size_t e[][2], Float meas)
template<size_t NEdgePerFaceMax>
void | init_generic_3d (size_t E, size_t d, size_t nv, const point v[], size_t nfac, const size_t f[][NEdgePerFaceMax], size_t nedg, const size_t e[][2], Float meas)
void | init_p (size_t p)
void | init_e (size_t e)
void | init_t (size_t t)
void | init_q (size_t q)
void | init_T (size_t T)
void | init_P (size_t P)
void | init_H (size_t H)
void | licence ()
void | cxx_reference_element_header ()
void | cxx_reference_element_body ()
int | main (int argc, char **argv)

## Variables

size_t | table_dimension [max_variant]
Float | table_measure [max_variant]
size_t | table_n_vertex [max_variant]
size_t | table_n_edge [max_variant]
size_t | table_n_face [max_variant]
size_t | table_n_face_vertex_max [max_variant]
size_t | table_n_face_vertex [max_variant][max_face]
size_t | table_fac2edg_idx [max_variant][max_face][max_face_vertex]
int | table_fac2edg_ori [max_variant][max_face][max_face_vertex]

## Function Documentation

## init_generic_0d()

void init_generic_0d | ( | size_t | E,
|  | size_t | d,
|  | size_t | nv,
|  | size_t | ne,
|  | Float | meas
| ) |  |

Definition at line 60 of file cxx_reference_element.cc.

## init_generic_1d()

void init_generic_1d | ( | size_t | E,
|  | size_t | d,
|  | size_t | nv,
|  | const point | v[],
|  | size_t | ne,
|  | Float | meas
| ) |  |

Definition at line 66 of file cxx_reference_element.cc.

## init_generic_2d()

void init_generic_2d | ( | size_t | E,
|  | size_t | d,
|  | size_t | nv,
|  | const point | v[],
|  | size_t | ne,
|  | const size_t | e[][2],
|  | Float | meas
| ) |  |

Definition at line 69 of file cxx_reference_element.cc.

## init_generic_3d()

template<size_t NEdgePerFaceMax>

void init_generic_3d | ( | size_t | E,
|  | size_t | d,
|  | size_t | nv,
|  | const point | v[],
|  | size_t | nfac,
|  | const size_t | f[][NEdgePerFaceMax],
|  | size_t | nedg,
|  | const size_t | e[][2],
|  | Float | meas
| ) |  |

Definition at line 74 of file cxx_reference_element.cc.

## init_p()

void init_p | ( | size_t | p | ) |

Definition at line 106 of file cxx_reference_element.cc.

## init_e()

void init_e | ( | size_t | e | ) |

Definition at line 110 of file cxx_reference_element.cc.

## init_t()

void init_t | ( | size_t | t | ) |

Definition at line 114 of file cxx_reference_element.cc.

## init_q()

void init_q | ( | size_t | q | ) |

Definition at line 118 of file cxx_reference_element.cc.

## init_T()

void init_T | ( | size_t | T | ) |

Definition at line 122 of file cxx_reference_element.cc.

## init_P()

void init_P | ( | size_t | P | ) |

Definition at line 126 of file cxx_reference_element.cc.

## init_H()

void init_H | ( | size_t | H | ) |

Definition at line 130 of file cxx_reference_element.cc.

## licence()

void licence | ( |  | ) |

Definition at line 134 of file cxx_reference_element.cc.

## cxx_reference_element_header()

void cxx_reference_element_header | ( |  | ) |

Definition at line 163 of file cxx_reference_element.cc.

## cxx_reference_element_body()

void cxx_reference_element_body | ( |  | ) |

Definition at line 172 of file cxx_reference_element.cc.

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 322 of file cxx_reference_element.cc.

## Variable Documentation

## table_dimension

size_t table_dimension[max_variant]

Definition at line 43 of file cxx_reference_element.cc.

## table_measure

Float table_measure[max_variant]

Definition at line 44 of file cxx_reference_element.cc.

## table_n_vertex

size_t table_n_vertex[max_variant]

Definition at line 45 of file cxx_reference_element.cc.

## table_n_edge

size_t table_n_edge[max_variant]

Definition at line 50 of file cxx_reference_element.cc.

## table_n_face

size_t table_n_face[max_variant]

Definition at line 51 of file cxx_reference_element.cc.

## table_n_face_vertex_max

size_t table_n_face_vertex_max[max_variant]

Definition at line 52 of file cxx_reference_element.cc.

## table_n_face_vertex

size_t table_n_face_vertex[max_variant][max_face]

Definition at line 53 of file cxx_reference_element.cc.

## table_fac2edg_idx

size_t table_fac2edg_idx[max_variant][max_face][max_face_vertex]

Definition at line 54 of file cxx_reference_element.cc.

## table_fac2edg_ori

int table_fac2edg_ori[max_variant][max_face][max_face_vertex]

Definition at line 55 of file cxx_reference_element.cc.